# -*- coding: utf-8 -*-

# FOGLAMP_BEGIN
# See: http://foglamp-foglamp-documentation.readthedocs-hosted.com/
# FOGLAMP_END

""" Utility functions for checking different conditions
"""

class RtspUtils:

    @staticmethod
    def check_need_to_shutdown(handle, new_config, parameters_to_check):
        """
        Checks whether shutdown is required if we change configuration.
        Args:
            handle: Old configuration
            new_config: New Configuration
            parameters_to_check: Parameters (list) whose value if changed then shutdown is required

        Returns:
            True or False
        """
        need_to_shutdown = False
        for parameter in parameters_to_check:
            old_value = handle[parameter]['value']
            new_value = new_config[parameter]['value']
            if new_value != old_value:
                need_to_shutdown = True
                break

        return need_to_shutdown
    